Skip to main content

This site requires you to update your browser. Your browsing experience maybe affected by not having the most up to date version.

Hosting Requirements

What you need to consider when choosing a hosting provider and plan.

Moderators: martimiz, Sean, biapar, Willr, Ingo, swaiba, simon_w

Unknown web server Pass but 2 Warnings


Go to End
Reply

9 Posts   2141 Views

Avatar
Conejo

22 September 2010 at 10:31pm (Last edited: 1 October 2010 1:02am), Community Member, 8 Posts

After giving XXYY/install.php,
PHP and Filepermitions are ok.
I can see
Webserver Configuration - All Requirements Pass but 2 Warnings
- Server software   Unknown web server
- URL rewriting support   You need mod_rewrite to use friendly URLs with SilverStripe, but it is not enabled.

Can any body help me????

Attached Files
Avatar
Willr

23 September 2010 at 10:33pm Forum Moderator, 5511 Posts

What are you running as your webserver that its failing to pickup? Apache?

Note that since they are warnings you should still be able to install SilverStripe, Nice URLs will simply be disabled.

Avatar
Conejo

29 September 2010 at 8:31pm (Last edited: 1 October 2010 1:06am), Community Member, 8 Posts

Hallo Willr,
thanks for you answer,

About the mod_rewrite:
This is a Server setting and can be activated in the .htaccess file.

- Server software Unknown web server:
I deleted and reinstalled SS 2.4.2 (before 2.4.1) and the warning disappear.
So, it is working properly!
Thanks again,

Avatar
Sean

29 September 2010 at 8:38pm Forum Moderator, 921 Posts

Note that 2.4.2 has also been released recently, so you might want to install that instead of 2.4.1.

Cheers,
Sean

Avatar
faca79

20 October 2010 at 1:55am Community Member, 4 Posts

I have the same problem in SilverStripe-v2.4.1 and in 2.4.2

PLease tell me what can I do.

Thanks

Attached Files
Avatar
Willr

20 October 2010 at 2:59pm Forum Moderator, 5511 Posts

faca79 do you have any clue as to what you are using for your server? Do you think its apache?

Avatar
Sean

20 October 2010 at 3:24pm Forum Moderator, 921 Posts

Note that in 2.4.2 the installer now detects your web server, or rather tries harder to detect your web server, but there could be cases where PHP is just not given enough information about the environment it is running in.

Have you tried to install SilverStripe anyway? These are just warnings, and won't stop you from actually installing.

Avatar
Sean

20 October 2010 at 3:46pm Forum Moderator, 921 Posts

I've made a change to the installer which will come in the next SilverStripe release, 2.4.3. With the change applied, the installer does a better job at detecting if mod_rewrite is enabled. Here is the changeset: http://open.silverstripe.org/changeset/112973/phpinstaller

If PHP is running via CGI or FastCGI, then this change will be most beneficial as apache_get_modules() won't be available.

Cheers,
Sean

Go to Top